Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::Receptacles Interface Reference

`import "CCM_Base.idl";`

Inheritance diagram for Components::Receptacles:

[legend]
List of all members.

## Public Methods
Cookie | connect (in FeatureName name, in Object connection) raises (InvalidName, InvalidConnection, AlreadyConnected, ExceededConnectionLimit)
Object | disconnect (in FeatureName name, in Cookie ck) raises (InvalidName, InvalidConnection, CookieRequired, NoConnection)
ConnectionDescriptions | get_connections (in FeatureName name) raises (InvalidName)
ReceptacleDescriptions | get_all_receptacles ()
ReceptacleDescriptions | get_named_receptacles (in NameList names) raises (InvalidName)
Cookie | connect (in FeatureName name, in Object connection) raises (InvalidName, InvalidConnection, AlreadyConnected, ExceededConnectionLimit)
Object | disconnect (in FeatureName name, in Cookie ck) raises (InvalidName, InvalidConnection, CookieRequired, NoConnection)
ConnectionDescriptions | get_connections (in FeatureName name) raises (InvalidName)
ReceptacleDescriptions | get_all_receptacles ()
ReceptacleDescriptions | get_named_receptacles (in NameList names) raises (InvalidName)

## Member Function Documentation

Cookie Components::Receptacles::connect | ( | in FeatureName | name,
|  | in Object | connection
| ) | raises (InvalidName, InvalidConnection, AlreadyConnected, ExceededConnectionLimit)

Cookie Components::Receptacles::connect | ( | in FeatureName | name,
|  | in Object | connection
| ) | raises (InvalidName, InvalidConnection, AlreadyConnected, ExceededConnectionLimit)

Object Components::Receptacles::disconnect | ( | in FeatureName | name,
|  | in Cookie | ck
| ) | raises (InvalidName, InvalidConnection, CookieRequired, NoConnection)

Object Components::Receptacles::disconnect | ( | in FeatureName | name,
|  | in Cookie | ck
| ) | raises (InvalidName, InvalidConnection, CookieRequired, NoConnection)

ReceptacleDescriptions Components::Receptacles::get_all_receptacles | ( |  | ) |

ReceptacleDescriptions Components::Receptacles::get_all_receptacles | ( |  | ) |

ConnectionDescriptions Components::Receptacles::get_connections | ( | in FeatureName | name | ) | raises (InvalidName)

ConnectionDescriptions Components::Receptacles::get_connections | ( | in FeatureName | name | ) | raises (InvalidName)

ReceptacleDescriptions Components::Receptacles::get_named_receptacles | ( | in NameList | names | ) | raises (InvalidName)

ReceptacleDescriptions Components::Receptacles::get_named_receptacles | ( | in NameList | names | ) | raises (InvalidName)

The documentation for this interface was generated from the following files:

- CCM_Base.idl
- Component_Base.idl